import { IProduct, IProductState } from '@orderingstack/ordering-types';
interface UseDisplayPriceProps {
    product: IProduct;
    state?: IProductState;
    selected?: boolean;
    cheapestGroupOptionsProduct?: number;
    basePrice?: boolean;
}
export declare const useDisplayPrice: ({ product, state, selected, cheapestGroupOptionsProduct, basePrice }: UseDisplayPriceProps) => {
    displayPrice: number;
    showAsMinPrice: boolean | "" | undefined;
    calculatedPriceDefaultProductState: number;
    calculatedChildrensBasePrice: number | undefined;
};
export declare const calculateDisplayPrice: ({ product, state, selected, cheapestGroupOptionsProduct, basePrice }: UseDisplayPriceProps) => {
    displayPrice: number;
    showAsMinPrice: boolean | "" | undefined;
    calculatedPriceDefaultProductState: number;
    calculatedChildrensBasePrice: number | undefined;
};
export {};
//# sourceMappingURL=useDisplayPrice.d.ts.map